Skip to main content
GET
/
orgs
/
{org_id}
/
analytics
/
contacts
/
top-segments
Get Top Segments
curl --request GET \
  --url https://api.useinvent.com/orgs/{org_id}/analytics/contacts/top-segments \
  --header 'Authorization: Bearer <token>'
[
  {
    "segment_id": "<string>",
    "name": "<string>",
    "count": 123,
    "color": "red"
  }
]

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

Query Parameters

from_date
string<date-time> | null
to_date
string<date-time> | null
page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json
segment_id
string
required
name
string
required
count
number
required
color
enum<string>

The name of the color to use in the UI

Available options:
red,
orange,
amber,
yellow,
lime,
green,
teal,
cyan,
sky,
blue,
indigo,
violet,
purple,
fuchsia,
pink,
rose,
neutral